Bug 668959 - Review Request: jbig2dec - A decoder implementation of the JBIG2 image compression format
Summary: Review Request: jbig2dec - A decoder implementation of the JBIG2 image compre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 669311
TreeView+ depends on / blocked
 
Reported: 2011-01-12 09:00 UTC by Pavel Zhukov
Modified: 2013-09-05 12:13 UTC (History)
5 users (show)

Fixed In Version: jbig2dec-0.11-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 18:09:20 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Zhukov 2011-01-12 09:00:48 UTC
That this is one of my first packages and I need a sponsor.

Spec: http://repo.pclinuxos.su/fedora/rpm/jbig2dec.spec
SRPM: http://repo.pclinuxos.su/fedora/rpm/jbig2dec-0.11-1.fc14.src.rpm

Description:
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

Project home: http://jbig2dec.sourceforge.net/

mock build: ok
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2716450

rpmlint output: 
jbig2dec.src: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
jbig2dec.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, glassless
jbig2dec.src: W: spelling-error %description -l en_US bilevel -> bi level, bi-level, bile vel
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 1 Peter Lemenkov 2011-01-12 12:23:06 UTC
Unblocking FE-NEEDSPONSOR - I just sponsored Pavel.

Comment 2 Peter Lemenkov 2011-01-12 12:24:21 UTC
I'll review it

Comment 3 Peter Lemenkov 2011-01-12 13:00:23 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is NOT silent, and some of its messages should be suppressed:

work ~: rpmlint Desktop/jbig2dec-*
jbig2dec.src: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
jbig2dec.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, massless
jbig2dec.src: W: spelling-error %description -l en_US bilevel -> bi level, bi-level, bile vel
jbig2dec.x86_64: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
jbig2dec.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, massless
jbig2dec.x86_64: W: spelling-error %description -l en_US bilevel -> bi level, bi-level, bile vel

^^^ False positives. No need to take care of them.

jbig2dec.x86_64: W: incoherent-version-in-changelog 0.11 ['0.11-1.fc14', '0.11-1']

^^^ This should be fixed (easyfix).

jbig2dec-devel.x86_64: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
jbig2dec-devel.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, massless
jbig2dec-devel.x86_64: W: spelling-error %description -l en_US bilevel -> bi level, bi-level, bile vel

^^^ False positives. No need to take care of them.

jbig2dec-devel.x86_64: E: useless-provides jbig2dec-devel

^^^ This should be fixed (easyfix). Just drop explicit "Provides:         jbig2dec-devel = %{version}-%{release}"

jbig2dec-devel.x86_64: W: no-documentation

^^^ Ok for now.

jbig2dec-libs.x86_64: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
jbig2dec-libs.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, massless
jbig2dec-libs.x86_64: W: spelling-error %description -l en_US bilevel -> bi level, bi-level, bile vel

^^^ False positives. No need to take care of them.

5 packages and 0 specfiles checked; 1 errors, 14 warnings.
work ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

+/- The package ALMOST meets the Packaging Guidelines.

* You really need to suppress two rpmlint warnings, mentioned by me (see above).
* Also I advice you to drop "Requires: %{name}-libs = %{version}-%{release}" line. This sort of dependencies (dependency on libraries) should be picked up by rpmbuild automatically.
* Drop empty "%doc" line from the %files section.

Otherwise the package looks good.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

- The License field in the package spec file MUST match the actual license. Proper license tag is "GPLv2+ with exceptions". Contents of files, licensed under Public Domain License (sha1.h and sha1.c), under BSD (snprintf.c)m under GPL w/o explicit version (getopt1.c, getopt.c and getopt.h) are relicensed under GPLv2+ during linking stage.

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum jbig2dec-0.11.tar.gz*
7e2d8330b36f2765da22043d174827bee0f30db8d78c330904f363275c7dd0b9  jbig2dec-0.11.tar.gz
7e2d8330b36f2765da22043d174827bee0f30db8d78c330904f363275c7dd0b9  jbig2dec-0.11.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. Koji scratchbuild for F-14:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2716806

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package doesn't have a %clean section, so it won't build cleanly on some systems with old rpm version (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
0 No pkgconfig(.pc) files.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.

- The -devel package MUST require the lib sub-package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}.

+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package DOESN'T run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). The same warning as for %clean section (see above).
+ All filenames in rpm packages are valid UTF-8.


OK, please address the issues mentioned above, and I'll continue.

Comment 5 Peter Lemenkov 2011-01-12 14:24:01 UTC
Good. Here is the Koji scratchbuild of the latest Pavel's package:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2716958

Ok, I don't see any other issues, so this package is

APPROVED.

Comment 6 Pavel Zhukov 2011-01-12 15:26:30 UTC
New Package CVS Request
=======================
Package Name: jbig2dec
Short Description: A decoder implementation of the JBIG2 image compression format
system
Owners: landgraf
Branches: F-13 F-14 F-15
InitialCC:

Comment 7 Jason Tibbitts 2011-01-13 17:26:09 UTC
It is too early to request f15 branches.  Otherwise...

Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-01-13 18:24:01 UTC
jbig2dec-0.11-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/jbig2dec-0.11-2.fc14

Comment 9 Fedora Update System 2011-01-13 18:24:24 UTC
jbig2dec-0.11-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/jbig2dec-0.11-2.fc13

Comment 10 Fedora Update System 2011-01-21 23:04:41 UTC
jbig2dec-0.11-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-01-21 23:05:53 UTC
jbig2dec-0.11-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Pavel Zhukov 2013-09-05 07:14:20 UTC
Package Change Request
======================
Package Name: jbig2dec
New Branches: el6
Owners: landgraf

Comment 13 Gwyn Ciesla 2013-09-05 12:13:27 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.